tech-kern archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: amd64 and COMPAT_FREEBSD ?

On Thu, Jan 29, 2009 at 03:57:54PM +0000, Christos Zoulas wrote:
> In article <>,
> Manuel Bouyer  <> wrote:
> >Hi
> >what's the status of COMPAT_FREEBSD on amd64 ? I'd like to run the
> >FreeBSD icp-vortex management tool (the linux binary isn't compatible
> >with our kernel interface). To make it worse this tool is 32bits ...
> Non functional. I suspect that you would need a freebsd32 like we have
> linux32.

Also, our FreeBSD emulation is *really* old.  It was written for
FreeBSD 2 and I don't know if it was even updated for FreeBSD 4.  It is
quite unlikely that binaries for any currently supported version of
FreeBSD will work.

Thor Lancelot Simon                               
    "Even experienced UNIX users occasionally enter rm *.* at the UNIX
     prompt only to realize too late that they have removed the wrong
     segment of the directory structure." - Microsoft WSS whitepaper

Home | Main Index | Thread Index | Old Index